package at.ofai.gate.japeparms;

/**
 *
 * @author Johann Petrak
 */
public enum KnownJapeTransducers {
  JAPE_CLASSIC("JapeClassic","gate.creole.Transducer","ANNIE" ),
  JAPE_PLUS("JapePlus","gate.jape.plus.Transducer", "JAPE_Plus"),
  JAPE_OFAIBACKREFS("JapeOFAIBackrefs","at.ofai.gate.japebackrefs.JAPEBackRefs","");
  private final String name;
  private final String className;
  private final String directoryName;
  KnownJapeTransducers(String n, String c, String dn) {
    name = n;
    className = c;
    directoryName = dn;
  }
  public String getName() { return name; }
  public String getClassName() { return className; }
  public String getPluginDirectoryName() { return directoryName; }
}
